
ClipPut ("")

; Get the filename of the drag-and-dropped file:

$projectname = $CmdLine[1]

; Start to get project name by stripping the path:

$projectname1 = StringSplit($projectname, "\", 1)
$cnt = $projectname1[0]
$projectname3 = $projectname1[$cnt]

; Check if file has extension, if so, strip it:

If StringInStr ($projectname3, ".") Then
$projectname4 = StringSplit($projectname3, ".", 1)
$projectname5 = $projectname4[1]
Else
$projectname5 = $projectname3
EndIf

; Check if file is a shortcut file, if so, strip it:

If StringInStr ($projectname5, "Shortcut to") Then
$projectname6 = StringTrimLeft($projectname5, 12)
Else
$projectname6 = $projectname5
EndIf

; Check if OmT is running, then close current project
; and open new one:

If WinExists("OmegaT") Then
WinSetState ("OmegaT", "", @SW_RESTORE)
WinActivate ("OmegaT", "")
WinWaitActive ("OmegaT", "")
Sleep (100)

Send ("!p")
WinActivate ("OmegaT", "")
WinWaitActive ("OmegaT", "")
Sleep (100)
Send ("c")
WinActivate ("OmegaT", "")
WinWaitActive ("OmegaT", "")
Sleep (100)
Send ("{ESC}")
WinActivate ("OmegaT", "")
WinWaitActive ("OmegaT", "")
Sleep (100)
Send ("^o")
WinActivate ("Open", "")
WinWaitActive ("Open", "")
Sleep (100)
Send ("{HOME}")
WinActivate ("Open", "")
WinWaitActive ("Open", "")
Sleep (100)
Send ("+{END}")
WinActivate ("Open", "")
WinWaitActive ("Open", "")
Sleep (100)
ClipPut ($projectname6)
Send ("^v")
WinActivate ("Open", "")
WinWaitActive ("Open", "")
Sleep (100)
Send ("{ENTER}")
Sleep (1000)
Exit
EndIf

; Launch OmegaT:

$javakey = RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Applications\javaw.exe\shell\open\command", "")
$omtprog = @ProgramFilesDir & "\OmegaT\OmegaT.jar"
$javakey2 = StringReplace ($javakey, """%1""", """" & $omtprog & """")
$javakey3 = StringTrimRight ($javakey2, 3)

Run ($javakey3, "", @SW_MINIMIZE)

While 1
If WinExists("OmegaT") Then
ExitLoop
EndIf
WEnd

WinSetState ("OmegaT", "", @SW_RESTORE)
WinActivate ("OmegaT", "")
WinWaitActive ("OmegaT", "")
Sleep (100)
Send ("^o")
WinActivate ("Open", "")
WinWaitActive ("Open", "")
Sleep (100)
Send ("{HOME}")
WinActivate ("Open", "")
WinWaitActive ("Open", "")
Sleep (100)
Send ("+{END}")
WinActivate ("Open", "")
WinWaitActive ("Open", "")
Sleep (100)
ClipPut ($projectname6)
Sleep (100)
Send ("^v")
WinActivate ("Open", "")
WinWaitActive ("Open", "")
Sleep (100)
Send ("{ENTER}")
Sleep (1000)

Exit
